/* 1. Définition de la matrice 3x3 */
.grille-matrice {
  display: grid;
  /* 3 colonnes de largeur égale */
  grid-template-columns: 10% 1fr 10%; 
  /* 3 lignes de hauteur égale (ex: 100px chacune) */
  grid-template-rows: repeat(4, 30%); 
  gap: 10px; /* Espace entre les cases */
  background-color: #fffffff;
  padding: 10px;
}

/* Style de base pour les composants */
.composant {
  background-color: #ffffff;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: sans-serif;
  font-weight: bold;
  border-radius: 5px;
}


/* 2. Positionnement précis des 5 composants */


.comp-1 {
  grid-row: 1;
  grid-column: 1;
  background-color: #ffffff;
  color:#000000;
}


.comp-2 {
  grid-row: 3;
  grid-column: 1; 
  background-color: #ffffff;
  color:#000000;
}


.comp-3 {
  grid-row: 1;
  grid-column: 3;
  background-color: #ffffff;
  color:#000000;
  
}


.comp-4 {
  grid-row: 3;
  grid-column: 3;
  background-color: #ffffff;
  color:#000000;
}


.comp-5 {
  grid-row: 2;
  grid-column: 2;
  background-color: #6c757d;
}

.comp-6 {
  grid-row: 4;
  grid-column: 2;
  background-color: #ffff00;
  color:#000000;
}

.comp-7 {
  grid-row: 2;
  grid-column: 1;
  background-color: #ffffff;
  color:#000000;
}

.comp-8 {
  grid-row: 2;
  grid-column: 3;
  background-color: #ffffff;
  color:#000000;
}
